package main

import (
	"bytes"

	"golang.org/x/term"
)

var (
	Yellow  string
	Green   string
	Blue    string
	Cyan    string
	Red     string
	Magenta string
	White   string
	Reset   string
)

func noColour() {
	Yellow = ""
	Green = ""
	Blue = ""
	Cyan = ""
	Red = ""
	Magenta = ""
	White = ""
	Reset = ""
}

func init() {
	var b bytes.Buffer
	t := term.NewTerminal(&b, "")
	Yellow = string(t.Escape.Yellow)
	Green = string(t.Escape.Green)
	Blue = string(t.Escape.Blue)
	Cyan = string(t.Escape.Cyan)
	Red = string(t.Escape.Red)
	Magenta = string(t.Escape.Magenta)
	White = string(t.Escape.White)
	Reset = string(t.Escape.Reset)
}
